"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var H=Object.create;var v=Object.defineProperty;var I=Object.getOwnPropertyDescriptor;var W=Object.getOwnPropertyNames;var V=Object.getPrototypeOf,F=Object.prototype.hasOwnProperty;var P=(t,o)=>()=>(o||t((o={exports:{}}).exports,o),o.exports);var A=(t,o,n,s)=>{if(o&&typeof o=="object"||typeof o=="function")for(let a of W(o))!F.call(t,a)&&a!==n&&v(t,a,{get:()=>o[a],enumerable:!(s=I(o,a))||s.enumerable});return t};var x=(t,o,n)=>(n=t!=null?H(V(t)):{},A(o||!t||!t.__esModule?v(n,"default",{value:t,enumerable:!0}):n,t));var y=P((J,b)=>{b.exports=Vue});var e=x(y());var p=x(y());var N="onLoad",j="onBackPress";function m(t,o,...n){uni.__log__?uni.__log__(t,o,...n):console[t].apply(console,[...n,o])}var _=t=>(o,n=(0,p.getCurrentInstance)())=>{!p.isInSSRComponentSetup&&(0,p.injectHook)(t,o,n)};var w=_(N),k=_(j),d=(t,o)=>{let n=t.__vccOpts||t;for(let[s,a]of o)n[s]=a;return n};function R(){let t={};t=uni.getWindowInfo();let{statusBarHeight:o,screenWidth:n,safeArea:s,screenHeight:a}=t;return{navAllHeight:0,navigationBarHeight:0,navigationBarWidth:0,centerWidth:0,btnWidth:0,statusBarHeight:o,safeArea:s,screenHeight:a}}function S(){let{navigationBarHeight:t,navigationBarWidth:o,statusBarHeight:n,btnWidth:s,screenHeight:a,safeArea:c}=R(),l=o?o+"px":"100%",i=t?t+"px":"44px",u=o?"10px":"30rpx",r=s?s+"px":"30rpx",h=n?n+"px":"0px",C={width:l,height:i,paddingRight:u,top:h,right:r},B={"--height":i,"--width":l,"--paddingRight":u,"--top":h,"--right":r,"--content":parseFloat(a)-parseFloat(i)-parseFloat(h)+"px"};return{navStyle:C,_navStyle:B}}var $={back:{"":{display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"center",width:"60rpx",height:"60rpx",borderRadius:50,backgroundColor:"rgba(255,255,255,0.6)"}},"back-icon":{"":{width:"40rpx",height:"40rpx",borderRadius:50}}},O={__name:"header",props:{backFunc:{type:Function,default:()=>{}}},setup(t){let o="https://jingxipai-app-1312393423.cos.ap-shanghai.myqcloud.com/app-static/",{navStyle:n}=S(),s=t,a=()=>{s.backFunc&&s.backFunc(),getCurrentPages().length>1?uni.navigateBack({delta:1}):uni.switchTab({url:"/pages/index/index"})};return(c,l)=>{var i;return(0,e.openBlock)(),(0,e.createElementBlock)("view",{style:(0,e.normalizeStyle)({paddingTop:(0,e.unref)(n).top,width:"100%",position:"fixed",top:0,left:0,right:0,zIndex:111}),renderWhole:!0},[(0,e.createElementVNode)("view",{style:(0,e.normalizeStyle)({height:(i=(0,e.unref)(n))==null?void 0:i.height,width:"100%","flex-direction":"row","align-items":"center","justify-content":"space-between","padding-left":"20rpx"})},[(0,e.createElementVNode)("view",{onClick:a,class:"back"},[(0,e.createElementVNode)("u-image",{src:(0,e.unref)(o)+"index/back.png",mode:"aspectFill",class:"back-icon"},null,8,["src"])])],4)],4)}}},L=d(O,[["styles",[$]]]),T="/assets/play.bcc0c2f9.png",D={root:{"":{backgroundColor:"#000000",position:"relative",flex:1,width:"750rpx",height:100}},videoImg:{"":{position:"absolute",top:0,left:0}},videoHover:{"":{position:"absolute",top:0,left:0,flex:1,backgroundColor:"rgba(0,0,0,0.1)",justifyContent:"center",alignItems:"center"}},playState:{"":{width:"80rpx",height:"80rpx"}}},z={__name:"w-video",props:{state:{default:!1},playBtn:{default:!1},src:{default:""},boxStyle:{default:{}},id:{default:"1xx"}},emits:["changeState"],setup(t,{emit:o}){let n=(0,e.ref)(!1),s=(0,e.ref)(null),a=o,c=t;(0,e.watch)(()=>c.state,(i,u)=>{m("log","at pages-sub/components/w-video.nvue:57","newValue",i);let r=uni.createVideoContext("myVideo"+c.id);switch(i){case"play":r.seek(0),r.play();break;case"continue":r.play();break;case"pause":r.pause();break;case"stop":r.seek(0),r.pause();break}},{immediate:!0});let l=()=>{let i="";c.state==="play"||c.state==="continue"?i="pause":c.state==="pause"&&(i="continue"),a("changeState",i)};return(i,u)=>((0,e.openBlock)(),(0,e.createElementBlock)("view",{class:"root",renderWhole:!0},[(0,e.createElementVNode)("u-video",{ref_key:"myVideos",ref:s,id:"myVideo"+t.id,src:t.src,autoPlay:!0,onPlay:u[0]||(u[0]=r=>n.value=!0),enableProgressGesture:!0,pageGesture:!1,controls:!0,showFullscreenBtn:!1,showCenterPlayBtn:t.playBtn,style:(0,e.normalizeStyle)(t.boxStyle),objectFit:"contain"},null,44,["id","src","showCenterPlayBtn"]),(0,e.createElementVNode)("view",{class:"videoHover",onClick:u[1]||(u[1]=r=>l(t.state)),style:(0,e.normalizeStyle)(t.boxStyle)},[t.state=="pause"?((0,e.openBlock)(),(0,e.createElementBlock)("u-image",{key:0,class:"playState",src:T})):(0,e.createCommentVNode)("",!0)],4),n.value?(0,e.createCommentVNode)("",!0):((0,e.openBlock)(),(0,e.createElementBlock)("u-image",{key:0,class:"videoImg",src:t.src+"?x-oss-process=video/snapshot,t_1000,f_jpg",mode:"heightFix",style:(0,e.normalizeStyle)(t.boxStyle)},null,12,["src"]))]))}},E=d(z,[["styles",[D]]]),U=(0,e.defineComponent)({__name:"play",setup(t){let o=(0,e.ref)("stop"),n=(0,e.ref)(),s=(0,e.ref)({height:0,width:"750rpx"});(0,e.ref)(!1),(0,e.ref)(),w(l=>{s.value.height=uni.getSystemInfoSync().screenHeight+"px";let i=decodeURIComponent(l==null?void 0:l.src);n.value=i,setTimeout(()=>{o.value="play"},50)});let a=()=>{o.value="stop"},c=l=>{o.value=l};return k(()=>o.value==="play"?(a(),!0):!1),(l,i)=>((0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,e.createElementVNode)("view",null,[(0,e.createVNode)((0,e.unref)(L),{backFunc:a}),(0,e.createVNode)((0,e.unref)(E),{onChangeState:c,boxStyle:s.value,src:n.value,state:o.value},null,8,["boxStyle","src","state"])])]))}}),q={"dialog-video":{"":{position:"fixed",zIndex:999,width:100,height:100,top:0,left:0,right:0,bottom:0,display:"flex",justifyContent:"center",alignItems:"center"}},"video-box":{"":{position:"absolute",width:100,height:100,top:0,left:0,right:0,bottom:0,zIndex:1102}}},g=d(U,[["styles",[q]]]);var f=plus.webview.currentWebview();if(f){let t=parseInt(f.id),o="pages-sub/video/play",n={};try{n=JSON.parse(f.__query__)}catch(a){}g.mpType="page";let s=Vue.createPageApp(g,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:o,__pageQuery:n});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...g.styles||[]])),s.mount("#root")}})();
